let
  pcs = [
    "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIL5gkx+aHESLl7w2LOR/LgzhC/WnXv/mz499LADnZ8/Q"
    "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIEnWS8gkno+ZIDNDfvux7eXWhtfnz4fqpf6PNLyrITOW"

    (builtins.readFile ../../../hosts/shuttle/id_ed25519.pub)
    "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIF7Pnts6n70XTNp6qHxQg5KID6LcUEsz48gOMgPoBe/t"
    (builtins.readFile ../../../hosts/redmond/id_ed25519.pub)
    "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIM9HJATd+rgl0GD4/lZeidqIpQkZ6ED+03MkSKAlaDDv"
  ];

  servers = [
    "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIJwQhs/J6d2U8ZhwdGEV6Cj59u0Wpi4Bek98R2t1PyJf"
    "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIEqszkKZQ2GsvTM0R7DSUEehm4G12K6OsZrcRE0vysJ3"
  ];
in
{
  # User passwords 'mkpasswd -m sha-512'
  "jimboAccPass.age".publicKeys = pcs ++ servers;

  # Wireguard
  "wgServerPriv.age".publicKeys = servers;
  "wgClientPriv.age".publicKeys = pcs;

  # Passwords and keys
  "matrixSecret.age".publicKeys = servers;
  "pixelfedKey.age".publicKeys = servers;
  "prismAdminPass.age".publicKeys = servers;
  "icecastAdminPass.age".publicKeys = servers;
  "icecastSourcePass.age".publicKeys = servers;
  "cloudflareKey.age".publicKeys = servers;
  "transmissionPass.age".publicKeys = servers;

  # Email, 'mkpasswd -m bcrypt'
  "noreplyMailPass.age".publicKeys = servers;
  "noreplyMailHash.age".publicKeys = servers;
  "jimboMailHash.age".publicKeys = servers;
  "lunaMailHash.age".publicKeys = servers;
  "cornMailHash.age".publicKeys = servers;
  "tinyMailHash.age".publicKeys = servers;

  # IPs
  "cornIP.age".publicKeys = servers;
}
